> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Drill-down for one direct report: today + this-week stats +

> Drill-down for one direct report: today + this-week stats + recent days



## OpenAPI

````yaml /api-reference/openapi.json get /api/manager/team/{employeeId}
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/manager/team/{employeeId}:
    get:
      tags:
        - Manager
      summary: 'Drill-down for one direct report: today + this-week stats +'
      description: 'Drill-down for one direct report: today + this-week stats + recent days'
      operationId: getApiManagerTeamByEmployeeId
      parameters:
        - in: path
          name: employeeId
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  employeeId:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  name:
                    type: string
                  code:
                    type: string
                  designation:
                    anyOf:
                      - type: string
                      - type: 'null'
                  locationName:
                    anyOf:
                      - type: string
                      - type: 'null'
                  shiftLabel:
                    anyOf:
                      - type: string
                      - type: 'null'
                  today:
                    type: object
                    properties:
                      liveStatus:
                        type: string
                        enum:
                          - in
                          - late
                          - yetToPunch
                          - absent
                          - leave
                          - out
                          - weeklyOff
                          - holiday
                      tone:
                        type: string
                        enum:
                          - neutral
                          - accent
                          - ok
                          - warn
                          - bad
                          - info
                      locationName:
                        anyOf:
                          - type: string
                          - type: 'null'
                      firstIn:
                        anyOf:
                          - type: string
                          - type: 'null'
                      elapsedMinutes:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      lateMinutes:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - liveStatus
                      - tone
                      - locationName
                      - firstIn
                      - elapsedMinutes
                      - lateMinutes
                  week:
                    type: object
                    properties:
                      workedMinutes:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      lateCount:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      otMinutes:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      daysPresent:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - workedMinutes
                      - lateCount
                      - otMinutes
                      - daysPresent
                  recentDays:
                    type: array
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                        weekday:
                          type: string
                        status:
                          anyOf:
                            - type: string
                              enum:
                                - Present
                                - Absent
                                - Leave
                                - Half
                                - WeeklyOff
                                - Holiday
                            - type: 'null'
                        firstIn:
                          anyOf:
                            - type: string
                            - type: 'null'
                        lastOut:
                          anyOf:
                            - type: string
                            - type: 'null'
                        workedMinutes:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        otMinutes:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        lateMinutes:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                      required:
                        - date
                        - weekday
                        - status
                        - firstIn
                        - lastOut
                        - workedMinutes
                        - otMinutes
                        - lateMinutes
                required:
                  - employeeId
                  - name
                  - code
                  - designation
                  - locationName
                  - shiftLabel
                  - today
                  - week
                  - recentDays
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````